MediaWiki:EditorDashboard.css

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* [[Honkai: Nexus Anima Wiki:EditorDashboard]] */

.editor-dashboard-page {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.editor-dashboard-section {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    border: 1px solid var(--border-color);
    padding: 5px;
    border-radius: 5px;
    flex: 1 0 auto;
    max-width: 100%;
}

.editor-dashboard .editor-dashboard-page .editor-dashboard-section h2 {
    margin: 0;
    border-bottom: none;
    overflow: hidden;
}

.editor-dashboard-section.wds-tab__content.wds-is-current {
    height: 100%;
}

.editor-dashboard-section .wds-tabber {
    height: 100%;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.editor-dashboard-section .wds-tab__content {
    height: 100%;
    flex-grow: 1;
    overflow-y: auto;
}

.editor-dashboard-section .wds-tab__content ul {
    height: 100%;
    flex-grow: 1;
    margin: 0 0 0 36px;
    padding-top: 6px;
    height: 500px;
}

.editor-dashboard-section .editor-dashboard-list {
    height: 100%;
    flex-grow: 1;
    overflow-y: auto;
}